<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Elvira Meets Vincent Price</Series>
  <Number>1</Number>
  <Web>https://www.comixology.com/Elvira-Meets-Vincent-Price-1/digital-comic/943748</Web>
  <Summary>The two titans of horror and comedy untie in comics for the very first time! Dynamite Entertainment Proudly Presents… Elvira Meets Vincent Price!

Elvira is back, with her most historic AND greatest costar ever! The ghost of Vincent Price is a spirit with a mission, and only the Mistress of the Dark can help! The Apocalypse is coming, and it’s going to be live-streamed for binge-watching, but a long-lost movie can save the world… if only the movie star specter and the horror hostess with the mostest can find it in time! Thrills, chills, and all sorts of terrible puns!

Issue #1 features an all-star cast of cover artists, including fan favorites Dave Acosta, John Royle, series artist Juan Samu and a stunning photo of the gorgeous lady herself – Elvira: Mistress of the Dark! 

Things You Didn't Know About Elvira
-Screenrant.com
•	Her mother owned a costume shop.
•	Elvis gave her career advice.
•	She worked with Federico Fellini.
•	She's An Award-Winning Actress
•	She's A Well-Established Author

Fascinating Facts About Vincent Price
-MentalFloss.com
•	Vincent Price initially studied for a master’s degree in fine arts.
•	A museum in East Los Angeles is named after Vincent Price.
•	Vincent Price was a major foodie.
•	Tim Burton’s Vincent Price documentary remains incomplete and unreleased to this day.
•	Vincent Price’s voice is featured on a Disneyland attraction.

David Avallone is Dynamite’s ghastly and fantastic Elvira scribe, having recently and successfully completed several arcs of the horror hostess with the mostest’s adventures and joined for the first time by artist Juan Samu, fresh from drawing the great adventures of Hasbro’s comics universe at IDW.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB943748], [ASINB094X8CDQN]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Horror, Comedy</Genre>
  <PageCount>29</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
